document.addEventListener('DOMContentLoaded', () => {
  const coin = document.getElementById('coin');
  const button = document.getElementById('flipButton');
  const result = document.getElementById('result');
  let flipping = false;

  const flipCoin = () => {
    if (flipping) return;
    
    flipping = true;
    result.style.opacity = '0';
    
    const sides = ['cara', 'coroa'];
    const randomSide = sides[Math.floor(Math.random() * sides.length)];
    const rotations = 5 + Math.floor(Math.random() * 5);
    const degrees = rotations * 360 + (randomSide === 'coroa' ? 180 : 0);
    
    coin.style.transform = `rotateY(${degrees}deg)`;
    
    setTimeout(() => {
      result.textContent = randomSide.toUpperCase();
      result.style.opacity = '1';
      flipping = false;
    }, 1000);
  };

  button.addEventListener('click', flipCoin);
  
  // Enable keyboard accessibility
  button.addEventListener('keypress', (e) => {
    if (e.key === 'Enter' || e.key === ' ') {
      flipCoin();
    }
  });
});
